| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions
Stat.h File Reference
`#include <string>`
`#include "GaudiKernel/ICounterSvc.h"`
`#include "GaudiKernel/StatEntity.h"`
`#include "GaudiKernel/SmartIF.h"`
`#include "GaudiKernel/IStatSvc.h"`
Include dependency graph for Stat.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | Stat
| Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface. More...

## Functions
GAUDI_API Stat | operator+ (const Stat &stat, const double value)
| external operator for addition of Stat and a number More...
GAUDI_API Stat | operator- (const Stat &stat, const double value)
| external operator for subtraction of Stat and a number More...
GAUDI_API Stat | operator+ (const double value, const Stat &stat)
| external operator for addition of Stat and a number More...
GAUDI_API Stat | operator+ (const Stat &stat, const Stat &value)
| external operator for addition of Stat and Stat More...
GAUDI_API std::ostream & | operator<< (std::ostream &stream, const Stat &stat)
| external printout operator to std::ostream More...

## Function Documentation

GAUDI_API Stat operator+ | ( | const Stat & | stat,
|  | const double | value
| ) |  |

external operator for addition of Stat and a number

Definition at line 163 of file Stat.cpp.

164 { Stat s( stat ) ; s += value ; return s ; }
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
gaudirun.s
string s
Definition: gaudirun.py:245

GAUDI_API Stat operator+ | ( | const double | value,
|  | const Stat & | stat
| ) |  |

external operator for addition of Stat and a number

Definition at line 173 of file Stat.cpp.

174 { Stat s( stat ) ; s += value ; return s ; }
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
gaudirun.s
string s
Definition: gaudirun.py:245

GAUDI_API Stat operator+ | ( | const Stat & | stat,
|  | const Stat & | value
| ) |  |

external operator for addition of Stat and Stat

Definition at line 177 of file Stat.cpp.

178 { Stat s( stat ) ; s += value ; return s ; }
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
gaudirun.s
string s
Definition: gaudirun.py:245

GAUDI_API Stat operator- | ( | const Stat & | stat,
|  | const double | value
| ) |  |

external operator for subtraction of Stat and a number

Definition at line 168 of file Stat.cpp.

169 { Stat s( stat ) ; s -= value ; return s ; }
Stat
Small wrapper class for easy manipulation with generic counters and IStatSvc&ICounterSvc interface...
Definition: Stat.h:46
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
gaudirun.s
string s
Definition: gaudirun.py:245

GAUDI_API std::ostream& operator<< | ( | std::ostream & | stream,
|  | const Stat & | stat
| ) |  |

external printout operator to std::ostream

external printout operator to std::ostream

Definition at line 181 of file Stat.cpp.

182 { return stat.print( stream ) ; }
Stat::print
std::ostream & print(std::ostream &o=std::cout) const
printout to std::ostream
Definition: Stat.cpp:135